Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225196 - javacc component does not set javacc.home
Summary: javacc component does not set javacc.home
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ant
Version: 7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Permaine Cheung
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 18:27 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-03 18:10:57 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2007-01-29 18:27:59 UTC
Description of problem:

The ant package does not appear to build/ship javacc optional component.  Is
this intentional?  Is it available elsewhere?

Version-Release number of selected component (if applicable):
ant-1.6.5-2jpp.2

Comment 1 Andrew Overholt 2007-10-03 01:58:31 UTC
Any thoughts on this, Permaine?

Comment 2 Permaine Cheung 2007-10-03 11:26:14 UTC
There are these classes in the ant-nodeps.jar:

org/apache/tools/ant/taskdefs/optional/javacc/
org/apache/tools/ant/taskdefs/optional/javacc/JJDoc.class
org/apache/tools/ant/taskdefs/optional/javacc/JJTree.class
org/apache/tools/ant/taskdefs/optional/javacc/JavaCC.class

Are these the ones that you need? If so, you need to install the ant-nodeps
subpackage.

Comment 3 Orion Poplawski 2007-10-03 15:24:53 UTC
Sorry, I was looking for something of the form ant-javacc.jar.  

Next issued seems to be whether it should be setting ${javacc.home}.

     [java]      [java]
/builddir/build/BUILD/gridengine/source/libs/jgdi/cullconv/build.xml:61: JavaCC
home must be a valid directory.

      <javacc javacchome="${javacc.home}"
              outputdirectory="${basedir}/build/gensrc/com/sun/grid/cull"
              target="${basedir}/Cull.jj"
              static="true"/>


Comment 4 Orion Poplawski 2007-10-03 16:22:50 UTC
Works if I do:

javacchome="/usr/share/java"

But it seems like javacc.home should be being set.

Comment 5 Permaine Cheung 2007-10-03 18:10:57 UTC
This should be a user config setting. From
http://ant.apache.org/manual/OptionalTasks/javacc.html, the javacchome is a
required parameter in the ant javacc task, the user have to specify it whenever
the javacc task is called.


Note You need to log in before you can comment on or make changes to this bug.